For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • STREAMSend messages to an agent and receive a streaming response.
      • POSTSend messages to an agent and receive a synchronous response.
      • STREAMSend messages to an agent within a session and receive a streaming response.
      • POSTSend messages to an agent within a session and receive a synchronous response.
      • POSTStart an async agent interaction with a callback URL.
      • POSTStart an async agent interaction with a callback URL within a session.
      • GETList all agents.
      • POSTCreate or update an agent.
      • GETGet an agent and its active revision.
      • DELDelete an agent.
LogoLogo
Scout DocsAccess Scout
EndpointsAgents

Delete an agent.

DELETE
https://api.scoutos.com/agents/:agent_id
DELETE
/agents/:agent_id
$curl -X DELETE https://api.scoutos.com/agents/agent_id \
> -H "Authorization: Bearer <token>"
1{
2 "detail": "Agent with ID 12345 not found"
3}
Was this page helpful?
Previous

Upload files to Drive.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agent_idstringRequired

Response

Successful Response
detailstring

Errors

422
Unprocessable Entity Error